Bug 196693 - x11/nvidia-driver: Remove d_thread_t usage
Summary: x11/nvidia-driver: Remove d_thread_t usage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks: 196544
  Show dependency treegraph
 
Reported: 2015-01-13 19:16 UTC by John Baldwin
Modified: 2015-01-29 14:40 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments
remove_d_thread_t.patch (661 bytes, patch)
2015-01-13 19:16 UTC, John Baldwin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Baldwin freebsd_committer freebsd_triage 2015-01-13 19:16:53 UTC
Created attachment 151577 [details]
remove_d_thread_t.patch

The d_thread_t typedef is a compat shim to support FreeBSD 4.x.  I'm planning to remove this shim from 11.

Maintainer, please submit this upstream.  While you are at it, please also let Nvidia know to remove MAP_NORESERVE flag from mmap() calls in their next library builds.  The flag has never worked and is no longer present in 11 (removing it now will be safe and will save them from a random compile failure on 11).
Comment 1 Bugzilla Automation freebsd_committer 2015-01-13 19:16:53 UTC
Auto-assigned to maintainer danfe@FreeBSD.org
Comment 2 John Baldwin freebsd_committer freebsd_triage 2015-01-27 19:05:49 UTC
Alexey,

Just checking in to see if you saw this or not?
Comment 3 commit-hook freebsd_committer 2015-01-29 14:35:46 UTC
A commit references this bug:

Author: danfe
Date: Thu Jan 29 14:35:38 UTC 2015
New revision: 378119
URL: https://svnweb.freebsd.org/changeset/ports/378119

Log:
  - Update mainstream version to 340.76
  - The d_thread_t typedef is a compatibility shim to support FreeBSD 4.X:
    plans are to remove it in FreeBSD 11.X, so prepare for that in advance

  PR:		196693
  Submitted by:	jhb

Changes:
  head/x11/nvidia-driver/Makefile
  head/x11/nvidia-driver/distinfo
Comment 4 Alexey Dokuchaev freebsd_committer 2015-01-29 14:40:47 UTC
Sorry for the delay, committed as ports r378119.

John, I'm afraid we have a problem with the upstream communication since Chris Zander, our nVidia liaison, had left the company last year.  I've asked him what's the best and fastest way FreeBSD could use to communicate our patches and wishes now, but got no answer thus far. :(